Epoch: 1

%define gcj_support     0
%define eclipse_base    %{_libdir}/eclipse

Name:           eclipse-changelog
Version:        2.6.2
Release:        %mkrel 0.2.1
Summary:        Eclipse ChangeLog plug-in

Group:          Development/Java
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
License:        Eclipse Public License 
URL:            http://sources.redhat.com/eclipse

Obsoletes:      eclipse-changelog-cdt < %{epoch}:%{version}-%{release}
Obsoletes:      eclipse-changelog-jdt < %{epoch}:%{version}-%{release}

Provides:       eclipse-changelog-cdt = %{epoch}:%{version}-%{release}
Provides:       eclipse-changelog-jdt = %{epoch}:%{version}-%{release}

# This tarball was generated like so:
#
# mkdir eclipse-changelog-src-2.6.2
# cd eclipse-changelog-src-2.6.2
# for f in \
# org.eclipse.linuxtools.changelog.core \
# org.eclipse.linuxtools.changelog.doc \
# org.eclipse.linuxtools.changelog.cparser \
# org.eclipse.linuxtools.changelog.javaparser \
# org.eclipse.linuxtools.changelog-feature \
# do \
#  svn export \
#  svn://anonymous@dev.eclipse.org/svnroot/technology/org.eclipse.linuxtools/changelog/tags/R2_6_2/$f;
# done
# zip -r eclipse-changelog-src-2.6.2.zip *

Source0:        http://sourceware.org/eclipse/changelog/%{name}-src-%{version}.zip

BuildRequires:          eclipse-pde >= 1:3.3.0
BuildRequires:          eclipse-cdt >= 1:4.0.0
BuildRequires:          eclipse-cvs-client >= 1:3.3.0
BuildRequires:          java-rpmbuild
BuildRequires:          zip
%if %{gcj_support}
BuildRequires:          java-gcj-compat-devel
%else
BuildRequires:          java-devel >= 0:1.4.2
%endif

# These plugins are really noarch but they need cdt which 
# we only build on these architectures.
%if %{gcj_support}
ExclusiveArch: %{ix86} x86_64 ppc ia64
%else
ExclusiveArch: %{ix86} x86_64 ppc ia64
%endif

Requires:               eclipse-platform >= 1:3.3.0

%description
The Eclipse ChangeLog package contains Eclipse features and plugins that are
useful for ChangeLog maintenance within the Eclipse IDE.  It includes
fragments for parsing C, C++, and Java source files to create more detailed
entries containing function or method names.

%prep
%setup -q -c -n eclipse-changelog-%{version}

%build
%{eclipse_base}/buildscripts/pdebuild -d cdt

%install
rm -rf $RPM_BUILD_ROOT
installDir=$RPM_BUILD_ROOT/%{eclipse_base}/dropins/changelog
install -d -m 755 $installDir
unzip -q -d $installDir \
 build/rpmBuild/org.eclipse.linuxtools.changelog.zip

%{gcj_compile}

%clean
rm -rf $RPM_BUILD_ROOT

%if %{gcj_support}
%post
%{update_gcjdb}

%postun
%{clean_gcjdb}
%endif

%files
%defattr(-,root,root)
%doc org.eclipse.linuxtools.changelog-feature/epl-v10.html
%{eclipse_base}/dropins/changelog
%{gcj_files}



%changelog
* Mon Aug 11 2008 Alexander Kurtakov <akurtakov@mandriva.org> 1:2.6.2-0.2.1mdv2009.0
+ Revision: 270723
- new version 2.6.2

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix no-buildroot-tag

* Mon Feb 04 2008 Alexander Kurtakov <akurtakov@mandriva.org> 1:2.6.1-0.3.1mdv2008.1
+ Revision: 161899
- add zip BR
- add java-rpmbuild BR
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 15 2007 Anssi Hannula <anssi@mandriva.org> 1:2.5.1-0.2.3mdv2008.0
+ Revision: 87353
- rebuild to filter out autorequires of GCJ AOT objects
- remove unnecessary Requires(post) on java-gcj-compat

* Tue Sep 11 2007 David Walluck <walluck@mandriva.org> 1:2.5.1-0.2.2mdv2008.0
+ Revision: 84347
- rebuild

* Fri Aug 24 2007 David Walluck <walluck@mandriva.org> 1:2.5.1-0.2.1mdv2008.0
+ Revision: 70838
- 2.5.1
- 2.3.4 (currently does not build)


* Sat Nov 04 2006 David Walluck <walluck@mandriva.org> 2.3.3-1.1mdv2007.0
+ Revision: 76435
- 2.3.3
- Import eclipse-changelog

* Sat Aug 05 2006 David Walluck <walluck@mandriva.org> 0:2.2.0-2mdv2007.0
- 2.2.0

* Mon Jul 10 2006 David Walluck <walluck@mandriva.org> 0:2.0.1-6mdv2007.0
- rebuild for new eclipse

* Mon Jun 05 2006 David Walluck <walluck@mandriva.org> 0:2.0.1-5mdv2007.0
- rebuild for libgcj.so.7

* Sat Mar 25 2006 David Walluck <walluck@mandriva.org> 0:2.0.1-4mdk
- rebuild

* Mon Feb 13 2006 David Walluck <walluck@mandriva.org> 0:2.0.1-3mdk
- fix build

* Wed Nov 02 2005 David Walluck <walluck@mandriva.org> 0:2.0.1-2mdk
- fix BuildRequires

* Sat Sep 03 2005 David Walluck <walluck@mandriva.org> 0:2.0.1-1mdk
- release

* Fri Jul 15 2005 Andrew Overholt <overholt@redhat.com> 2.0.1_fc-22
- Make use of new aot-compile-rpm.
- Bump appropriate requirements.
- Add patches to fix what output format should be (.tar.gz).

* Wed Apr 27 2005 Andrew Overholt <overholt@redhat.com> 2.0.1_fc-21
- Re-organize and make use of scripts.

* Thu Apr 21 2005 Phil Muldoon <pmuldoon@redhat.com> 2.0.1_fc-20
- Fixed SDK symlink so Python parser will build
- Remove -DjavacFailOnError=false from java -cp command

* Mon Apr 04 2005 Andrew Overholt <overholt@redhat.com> 2.0.1_fc-19
- Make use of rebuild-gcj-db.
- Use system-wide classmap.db.

* Wed Mar 23 2005 Andrew Overholt <overholt@redhat.com> 2.0.1_fc-18
- Update with new gcj-dbtool stuff.
- Fix Requires.
- Remove *.jarswithnativelibs.

* Thu Mar 10 2005 Phil Muldoon <pmuldoon@redhat.com> 2.0.1-17
- Redo arches
- Clean up BuildRequires

* Sat Mar 05 2005 Phil Muldoon <pmuldoon@redhat.com> 2.0.1-16
- Added BuildRequires eclipse-pydev
- Added BuildRequires eclipse-cdt
- Removed -g gcc option

* Fri Mar 04 2005 Phil Muldoon <pmuldoon@redhat.com> 2.0.1-15
- Added python(pydev) parser to core
- Addex x86_64 back to ExclusiveArch

* Thu Mar 03 2005 Phil Muldoon <pmuldoon@redhat.com> 2.0.1-12
- Fixed archs for Fedora Core

* Wed Mar 02 2005 Phil Muldoon <pmuldoon@redhat.com> 2.0.1-11
- Added ppc to arch, exclusive arch
- Converted gcj-dbtool4 to gcj-dbtool

* Wed Mar 02 2005 Phil Muldoon <pmuldoon@redhat.com> 2.0.1-9..10
- Added overholt@redhat.com patch to make 64 bit lib safe
- Changed license to EPL 
- Fixed GCC4 -> GCC

* Tue Mar 01 2005 Phil Muldoon <pmuldoon@redhat.com> 2.0.1-8
- Changed Copyright to License

* Mon Feb 28 2005 Phil Muldoon <pmuldoon@redhat.com> 2.0.1-7
- Rewrote gcj-dbtool register on post
- Added merge logic

* Thu Feb 24 2005 Phil Muldoon <pmuldoon@redhat.com> 2.0.1-6
- Rewrite some variables. Redo post. Add postun. Clean up

* Thu Feb 24 2005 Phil Muldoon <pmuldoon@redhat.com> 2.0.1-5
- Touch pde.build.script to point to correct place

* Mon Feb 21 2005 Phil Muldoon <pmuldoon@redhat.com> 2.0.1-4
- Rewrite SPEC for native build. First attempt

* Wed Nov 10 2004 Phil Muldoon <pmuldoon@redhat.com> 2.0.1-3
- Bugzilla 138545 and 138543
- Touched Release

* Tue Nov 09 2004 Phil Muldoon <pmuldoon@redhat.com> 2.0.1-1
- Updated sources
- Touched Version/Release
- Added BuildRequires eclipse-cdt

* Sat Jul 24 2004 Jeremy Handcock <handcock@redhat.com> 1.1-4
- Require eclipse-ui, not eclipse-platform

* Sat Jul 24 2004 Phil Muldoon <pmuldoon@redhat.com> 1.1-3
- Set user.home (beehive fix)

* Fri Jul 23 2004 Jeremy Handcock <handcock@redhat.com> 1.1-2
- Don't BuildRequires ant
- Correct BuildRequires eclipse -> eclipse-platform
- Don't build on ppc64

* Tue Jul 20 2004 Phil Muldoon <pmuldoon@redhat.com>
- Make platform symlink tree before building
- Removed .so copy (not needed)

* Wed Jul 14 2004 Phil Muldoon <pmuldoon@redhat.com>
- Reworked for 3.0, and 3.0 new build system

* Tue Feb 10 2004 Phil Muldoon <pmuldoon@redhat.com> 1.0.0-1
- Initial version

